=== debian/changelog ===
pycuda (2017.1.1-2) unstable; urgency=medium

  * Rebuild for CUDA 9.1.
  * Update my email to @debian.org.
  * Add Multi-Arch: no for all binary packages.
  * Reorder debian/copyright, per tip from lintian.

 -- Tomasz Rybak <serpent@debian.org>  Fri, 09 Mar 2018 19:07:39 +0100

pycuda (2017.1.1-1) unstable; urgency=low

  * New upstream release.
  * Update Standards-Version to 4.1.3.
    * Use DEB_BUILD_OPTIONS for nodoc option.
  * Patch Sphinx documentation to allow for reproducible builds.
  * Do not try to fetch external Sphinx objects, use ones from Debian
    packages.
  * Use dpkg's pkg-info.mk instead of dpkg-parsechangelog.
  * Update d/rules get-orig-source to remove all git-related files.
    * Remove non-DFSG-compatible example file.
  * Refresh patches.
  * Change Priority of debugging packages to optional.
  * Change debian/watch file to use HTTPS, as suggested by lintian.
  * Use HTTPS URL of upstream URL.

 -- Tomasz Rybak <tomasz.rybak@post.pl>  Wed, 27 Dec 2017 22:35:03 +0100
