=== debian/control ===
Source: pycuda
Section: contrib/python
Priority: optional
Maintainer: Tomasz Rybak <serpent@debian.org>
Build-Depends: debhelper (>= 10),
 dh-python,
 python-all-dev,
 python-all-dbg,
 python3-all-dev,
 python3-all-dbg,
 python3-doc <!nodoc>,
 python-numpy-doc <!nodoc>,
 python-mako-doc <!nodoc>,
 python-setuptools,
 python3-setuptools,
 nvidia-cuda-toolkit,
 libboost-python-dev,
 libboost-thread-dev,
 mesa-common-dev,
 python-numpy (>= 1:1.4.1-4~),
 python3-numpy,
 python-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
 python-pytools (>= 2011.5),
 python3-pytools
Standards-Version: 4.1.3
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Homepage: http://mathema.tician.de/software/pycuda
Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pycuda.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git

Package: python-pycuda
Architecture: amd64
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
 nvidia-cuda-toolkit,
 python-appdirs (>= 1.4.0),
 python-numpy,
 python-decorator (>= 3.2.0),
 python-pytools (>= 2011.5)
Recommends: python-pycuda-doc <!nodoc>,
 python-mako
Suggests: python-pytest,
 python-opengl,
 python-matplotlib,
 python-pycuda-dbg
Replaces: python-pycuda-headers
Description: Python module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.

Package: python-pycuda-dbg
Section: contrib/debug
Architecture: amd64
Multi-Arch: no
Depends: python-pycuda (= ${binary:Version}), python-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
Description: Python module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions build for the Python debug interpreter.

Package: python3-pycuda
Architecture: amd64
Multi-Arch: no
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
 nvidia-cuda-toolkit,
 python3-appdirs (>= 1.4.0),
 python3-numpy,
 python3-decorator (>= 3.2.0),
 python3-pytools
Recommends: python-pycuda-doc <!nodoc>,
 python3-mako
Suggests: python3-pytest,
 python3-opengl,
 python3-matplotlib,
 python3-pycuda-dbg
Replaces: python-pycuda-headers
Description: Python 3 module to access Nvidia‘s CUDA parallel computation API
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains Python 3 modules.

Package: python3-pycuda-dbg
Section: contrib/debug
Architecture: amd64
Multi-Arch: no
Depends: python3-pycuda (= ${binary:Version}), python3-dbg,
 ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends},
Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains debug extensions for the Python 3 debug interpreter.

Package: python-pycuda-doc
Section: contrib/doc
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!nodoc>
Depends: ${sphinxdoc:Depends},
 ${misc:Depends},
 libjs-mathjax,
 fonts-mathjax
Recommends: nvidia-cuda-doc,
 python3-doc,
 python-numpy-doc,
 python-mako-doc
Suggests: python-pycuda,
 python3-pycuda
Description: module to access Nvidia‘s CUDA computation API (documentation)
 PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
 Several wrappers of the CUDA API already exist–so what’s so special about
 PyCUDA?
  * Object cleanup tied to lifetime of objects. This idiom, often called
    RAII in C++, makes it much easier to write correct, leak- and crash-free
    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
    detach from a context before all memory allocated in it is also freed.
  * Convenience. Abstractions like pycuda.driver.SourceModule and
    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
    with Nvidia’s C-based runtime.
  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
    disposal, if you wish.
  * Automatic Error Checking. All CUDA errors are automatically translated
    into Python exceptions.
  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
    above are virtually free.
  * Helpful Documentation.
 .
 This package contains HTML documentation and example scripts.
