=== debian/watch ===
version=3
https://pypi.debian.net/pycuda/pycuda-(.+)\.tar\.gz
