=== debian/changelog ===
pycuda (2018.1.1-3) unstable; urgency=medium

  * Rebuild with CUDA 9.2 (Closes: #914804)
  * Update debian/watch to new version and to use substitution variables.

 -- Tomasz Rybak <serpent@debian.org>  Sun, 27 Jan 2019 14:23:34 +0100

pycuda (2018.1.1-2) unstable; urgency=medium

  * Fix FTBFS with Boost 1.67 (Closes: #914804)
    * Patch from Ubuntu by Gianfranco Costamagna
  * Add abort-on-upstream-changes to d/source/local-options.
  * Add more hardening options to d/rules.
  * Add lintian override for lack of autopkgtest.
  * Add DEB_BUILD_OPTIONS terse.
  * Update Standards-Version to 4.3.0; no changes necessary.
  * Set compatibility level to 12; no changes necessary.

 -- Tomasz Rybak <serpent@debian.org>  Mon, 07 Jan 2019 23:27:54 +0100

pycuda (2018.1.1-1) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Put package under maintenance by the Debian NVIDIA Maintainers team, move
    Tomasz to Uploaders.
  * Switch Vcs-* URLs to salsa.debian.org.

  [ Tomasz Rybak ]
  * New upstream release (Closes: #903826).
  * Add Rules-Requires-Root to d/control.
  * Update d/copyright links to use https protocol.
  * Add disclaimer to d/copyright describing why PyCUDA is in contrib.
  * Reorder d/control putting Python 3 packages first.
  * Remove unnecessary X-Python{,3}-Version fields.
  * Update Standards-Version to 4.2.1; no changes necessary.
  * Set compatibility level to 11
    * Point python-pycuda-doc.doc-base to main package's doc directory.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 31 Oct 2018 18:59:56 +0100
