=== debian/control ===
--- 
+++ 
@@ -1,8 +1,10 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Tomasz Rybak <serpent@debian.org>
-Build-Depends: debhelper (>= 10),
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Uploaders:
+ Tomasz Rybak <serpent@debian.org>,
+Build-Depends: debhelper (>= 12),
  dh-python,
  python-all-dev,
  python-all-dbg,
@@ -23,74 +25,11 @@
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python-pytools (>= 2011.5),
  python3-pytools
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.3
+Standards-Version: 4.3.0
+Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-pycuda.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/python-pycuda.git
-
-Package: python-pycuda
-Architecture: amd64
-Multi-Arch: no
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
- nvidia-cuda-toolkit,
- python-appdirs (>= 1.4.0),
- python-numpy,
- python-decorator (>= 3.2.0),
- python-pytools (>= 2011.5)
-Recommends: python-pycuda-doc <!nodoc>,
- python-mako
-Suggests: python-pytest,
- python-opengl,
- python-matplotlib,
- python-pycuda-dbg
-Replaces: python-pycuda-headers
-Description: Python module to access Nvidia‘s CUDA parallel computation API
- PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
- Several wrappers of the CUDA API already exist–so what’s so special about
- PyCUDA?
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and crash-free
-    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
-    detach from a context before all memory allocated in it is also freed.
-  * Convenience. Abstractions like pycuda.driver.SourceModule and
-    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
-    with Nvidia’s C-based runtime.
-  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
-    disposal, if you wish.
-  * Automatic Error Checking. All CUDA errors are automatically translated
-    into Python exceptions.
-  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful Documentation.
-
-Package: python-pycuda-dbg
-Section: contrib/debug
-Architecture: amd64
-Multi-Arch: no
-Depends: python-pycuda (= ${binary:Version}), python-dbg,
- ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
-Description: Python module to access Nvidia‘s CUDA API (debug extensions)
- PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
- Several wrappers of the CUDA API already exist–so what’s so special about
- PyCUDA?
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and crash-free
-    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
-    detach from a context before all memory allocated in it is also freed.
-  * Convenience. Abstractions like pycuda.driver.SourceModule and
-    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
-    with Nvidia’s C-based runtime.
-  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
-    disposal, if you wish.
-  * Automatic Error Checking. All CUDA errors are automatically translated
-    into Python exceptions.
-  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful Documentation.
- .
- This package contains debug extensions build for the Python debug interpreter.
+Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
+Vcs-Git: https://salsa.debian.org/nvidia-team/python-pycuda.git
 
 Package: python3-pycuda
 Architecture: amd64
@@ -156,6 +95,68 @@
  .
  This package contains debug extensions for the Python 3 debug interpreter.
 
+Package: python-pycuda
+Architecture: amd64
+Multi-Arch: no
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+ nvidia-cuda-toolkit,
+ python-appdirs (>= 1.4.0),
+ python-numpy,
+ python-decorator (>= 3.2.0),
+ python-pytools (>= 2011.5)
+Recommends: python-pycuda-doc <!nodoc>,
+ python-mako
+Suggests: python-pytest,
+ python-opengl,
+ python-matplotlib,
+ python-pycuda-dbg
+Replaces: python-pycuda-headers
+Description: Python module to access Nvidia‘s CUDA parallel computation API
+ PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
+ Several wrappers of the CUDA API already exist–so what’s so special about
+ PyCUDA?
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and crash-free
+    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
+    detach from a context before all memory allocated in it is also freed.
+  * Convenience. Abstractions like pycuda.driver.SourceModule and
+    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
+    with Nvidia’s C-based runtime.
+  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
+    disposal, if you wish.
+  * Automatic Error Checking. All CUDA errors are automatically translated
+    into Python exceptions.
+  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful Documentation.
+
+Package: python-pycuda-dbg
+Section: contrib/debug
+Architecture: amd64
+Multi-Arch: no
+Depends: python-pycuda (= ${binary:Version}), python-dbg,
+ ${shlibs:Depends}, ${misc:Depends}, ${python:Depends},
+Description: Python module to access Nvidia‘s CUDA API (debug extensions)
+ PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
+ Several wrappers of the CUDA API already exist–so what’s so special about
+ PyCUDA?
+  * Object cleanup tied to lifetime of objects. This idiom, often called
+    RAII in C++, makes it much easier to write correct, leak- and crash-free
+    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
+    detach from a context before all memory allocated in it is also freed.
+  * Convenience. Abstractions like pycuda.driver.SourceModule and
+    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
+    with Nvidia’s C-based runtime.
+  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
+    disposal, if you wish.
+  * Automatic Error Checking. All CUDA errors are automatically translated
+    into Python exceptions.
+  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
+    above are virtually free.
+  * Helpful Documentation.
+ .
+ This package contains debug extensions build for the Python debug interpreter.
+
 Package: python-pycuda-doc
 Section: contrib/doc
 Architecture: all
