=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,20 @@
 #! /usr/bin/make -f
 
-#export DH_VERBOSE = 1
+ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
+export DH_VERBOSE = 1
+else
+export DH_QUIET = 1
+endif
+
 #export DH_BUILD_DDEBS = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/dpkg/pkg-info.mk
+
+export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 export PYBUILD_DESTDIR_python2=debian/python-pycuda/
 export PYBUILD_DESTDIR_python2-dbg=debian/python-pycuda-dbg/
@@ -26,7 +34,7 @@
 	dh $@ --with python2,python3,sphinxdoc --buildsystem pybuild
 
 override_dh_auto_configure:
-	./configure.py --boost-python-libname=boost_python-py \
+	./configure.py --boost-python-libname=boost_python \
 		--boost-thread-libname=boost_thread \
 		--cuda-root=/usr --cuda-enable-gl
 
@@ -57,7 +65,7 @@
 endif
 
 
-GIT_REVISION=v2017.1.1
+GIT_REVISION=v2018.1.1
 GIT_SUBMODULES=pycuda/compyte
 GIT_URL=https://git.tiker.net/trees/pycuda.git
