=== debian/watch ===
version=4
opts="mode=git, gitmode=full, pgpmode=none" https://git.tiker.net/trees/@PACKAGE@.git refs/tags/v@ANY_VERSION@ debian uupdate
