## pycuda 2020.1~dfsg1

=== debian/changelog ===
pycuda (2020.1~dfsg1-1) unstable; urgency=medium

  * Use release tarballs from pypi.
  * Build-Depend on dh-sequence-{python3,numpy3,sphinxdoc}.
  * Cleanup debian/rules.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Feb 2021 15:29:22 +0100

pycuda (2020.1~dfsg-1) unstable; urgency=medium

  * New upstream release.  (Closes: #976780) (LP: #1899750)
  * Refresh patches.
  * Let uscan repack the main tarball with a ~dfsg suffix.
  * Add create-compyte-tarball target to pack compyte as a separate component
    tarball.
  * Fix building twice in a row.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 09 Jan 2021 01:55:29 +0100

pycuda (2019.1.2-1) unstable; urgency=low

  [ Tomasz Rybak ]
  * New upstream release.
    * Refresh patches
    * Add bind1 as new build-dependency
  * Add options to get verbose log from pybuild.

  [ Andreas Beckmann ]
  * Allow building for all architectures with nvidia-cuda-toolkit.
  * The bullseye toolchain defaults to linking with --as-needed.
  * Import upstream tarballs into the packaging repository.
  * Use github repository as upstream.
  * Let the get-orig-source target create a reproducible tarball.
  * Switch to debhelper-compat (= 13).
  * Update Standards-Version to 4.5.1; no changes necessary.
  * Rewrite shebang in python examples to python3.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 26 Nov 2020 15:04:39 +0100

pycuda (2018.1.1-4) unstable; urgency=medium

  * Remove Python 2 packages, preparing for #937414.
  * Update Standards-Version to 4.4.1; no changes necessary.
  * Use debhelper-compat versioned dependency instead of d/compat
    to mark debhelper compatibility level.
  * Update d/copyright; use debmake suggestion and change name of MIT
    to Expat licence, removing ambiguity.
  * Add upstream GPG key.
  * Remove Replaces: python-pycuda-headers, not-relevant even in oldoldstable.

 -- Tomasz Rybak <serpent@debian.org>  Wed, 06 Nov 2019 23:36:32 +0100
