## pycuda 2021.1~dfsg

=== debian/changelog ===
pycuda (2021.1~dfsg-2build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 22:54:33 +0000

pycuda (2021.1~dfsg-2build1) jammy; urgency=medium

  * No-change rebuild against libnvidia-compute-495

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Dec 2021 09:15:55 +0000

pycuda (2021.1~dfsg-2) unstable; urgency=medium

  * Fix boost python library name generation.  (Closes: #1000308)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 22 Nov 2021 11:37:39 +0100

pycuda (2021.1~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Add Build-Depends: python3-sphinx-copybutton.
  * Continue using the sphinx alabaster theme, furo is not yet packaged.
  * Drop python3-pycuda-dbg.  (Closes: #994324)
  * Update Standards-Version to 4.6.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 22 Sep 2021 13:31:39 +0200
