=== debian/control ===
--- 
+++ 
@@ -14,7 +14,6 @@
  mesa-common-dev,
  nvidia-cuda-toolkit,
  pybind11-dev,
- python3-all-dbg,
  python3-all-dev,
  python3-numpy,
  python3-pybind11,
@@ -26,7 +25,8 @@
  python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
-Standards-Version: 4.5.1
+ python3-sphinx-copybutton <!nodoc>,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
@@ -50,7 +50,6 @@
 Suggests:
  python3-matplotlib,
  python3-opengl,
- python3-pycuda-dbg,
  python3-pytest,
 Description: Python 3 module to access Nvidia‘s CUDA parallel computation API
  PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
@@ -72,37 +71,6 @@
   * Helpful Documentation.
  .
  This package contains Python 3 modules.
-
-Package: python3-pycuda-dbg
-Section: contrib/debug
-Architecture: any
-Multi-Arch: no
-Depends:
- python3-dbg,
- python3-pycuda (= ${binary:Version}),
- ${misc:Depends},
- ${python3:Depends},
- ${shlibs:Depends},
-Description: Python 3 module to access Nvidia‘s CUDA API (debug extensions)
- PyCUDA lets you access Nvidia‘s CUDA parallel computation API from Python.
- Several wrappers of the CUDA API already exist–so what’s so special about
- PyCUDA?
-  * Object cleanup tied to lifetime of objects. This idiom, often called
-    RAII in C++, makes it much easier to write correct, leak- and crash-free
-    code.  PyCUDA knows about dependencies, too, so (for example) it won’t
-    detach from a context before all memory allocated in it is also freed.
-  * Convenience. Abstractions like pycuda.driver.SourceModule and
-    pycuda.gpuarray.GPUArray make CUDA programming even more convenient than
-    with Nvidia’s C-based runtime.
-  * Completeness. PyCUDA puts the full power of CUDA’s driver API at your
-    disposal, if you wish.
-  * Automatic Error Checking. All CUDA errors are automatically translated
-    into Python exceptions.
-  * Speed. PyCUDA’s base layer is written in C++, so all the niceties
-    above are virtually free.
-  * Helpful Documentation.
- .
- This package contains debug extensions for the Python 3 debug interpreter.
 
 Package: python-pycuda-doc
 Section: contrib/doc
