=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,6 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export PYBUILD_DESTDIR_python3=debian/python3-$(DEB_SOURCE)/
-export PYBUILD_DESTDIR_python3-dbg=debian/python3-$(DEB_SOURCE)-dbg/
 
 ifneq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
 DEB_CXXFLAGS_MAINT_STRIP=-O2
@@ -42,8 +41,3 @@
 
 # Do not run test automatically - they require CUDA-capable hardware
 override_dh_auto_test:
-
-override_dh_strip:
-ifeq (,$(filter nostrip,$(DEB_BUILD_OPTIONS)))
-	dh_strip -ppython3-$(DEB_SOURCE) --dbg-package=python3-$(DEB_SOURCE)-dbg
-endif
