=== debian/watch ===
version=4

opts="dversionmangle=auto, repacksuffix=~dfsg" \
https://pypi.python.org/packages/source/p/@PACKAGE@/ \
@PACKAGE@-(.+)\.tar\.gz debian uupdate
