## pycuda 2022.1~dfsg

=== debian/changelog ===
pycuda (2022.1~dfsg-1build1) kinetic; urgency=medium

  * No-change rebuild to pick up fixed libboost-python dependencies

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 03 Sep 2022 13:16:54 +0000

pycuda (2022.1~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Re-add sphinxconfig.py to the package source to allow offline building and
    customization.
  * Refresh patches.
  * Discard automatic changes to *.egg-info/* to fix building twice in a row.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 06 Jul 2022 14:28:10 +0200

pycuda (2021.1~dfsg-3) unstable; urgency=medium

  * Add salsa-ci.yml.
  * Add superficial autopkgtest checking the usability of the STL headers in
    host code compiled with nvcc (cf. #1006962).
  * Update Standards-Version to 4.6.1; no changes necessary.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jun 2022 06:11:21 +0200
