=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
