=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,9 @@
 	dh $@ --buildsystem pybuild
 
 override_dh_auto_configure:
-	./configure.py --boost-python-libname=boost_python \
+	./configure.py \
+		--no-use-shipped-boost \
+		--boost-python-libname=boost_python \
 		--boost-thread-libname=boost_thread \
 		--cuda-root=/usr --cuda-enable-gl
 
@@ -36,8 +38,9 @@
 	$(MAKE) -C doc html SPHINXOPTS="$(SPHINXOPTS)"
 
 execute_after_dh_auto_clean:
-	$(MAKE) -C doc clean
+	! command -v sphinx-build 2>/dev/null || $(MAKE) -C doc clean
 	$(RM) Makefile siteconf.py
+	$(RM) -r *.egg-info/
 
 # Do not run test automatically - they require CUDA-capable hardware
 override_dh_auto_test:
