=== debian/tests/control ===
Test-Command: debian/tests/compile-stl-headers cuda-g++
Features: test-name=compile-stl-headers_cuda-g++
Architecture: amd64 arm64 ppc64el
Depends:
 nvidia-cuda-toolkit-gcc,
Restrictions:
 superficial,
 allow-stderr,

Test-Command: debian/tests/compile-stl-headers g++-11
Features: test-name=compile-stl-headers_g++-11
Architecture: amd64 arm64 ppc64el
Depends:
 g++-11,
 nvidia-cuda-toolkit,
Restrictions:
 superficial,
 allow-stderr,
 flaky,

Test-Command: debian/tests/compile-stl-headers g++-10
Features: test-name=compile-stl-headers_g++-10
Architecture: amd64 arm64 ppc64el
Depends:
 g++-10,
 nvidia-cuda-toolkit,
Restrictions:
 superficial,
 allow-stderr,
