## pycuda 2022.2.2~dfsg

=== debian/changelog ===
pycuda (2022.2.2~dfsg-2) unstable; urgency=medium

  * Build without python-numpy-doc.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 Jan 2023 11:10:07 +0100

pycuda (2022.2.2~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * The CUDA toolkit autopkgtests are now in src:nvidia-cuda-samples.
  * Update Standards-Version to 4.6.2; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 03 Jan 2023 14:08:09 +0100

pycuda (2022.2~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Drop ancient d/NEWS.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 22 Nov 2022 22:51:06 +0100

pycuda (2022.1~dfsg-5) unstable; urgency=medium

  * autopkgtest: Fix CUDA Code Samples compilation with CUDA 11.6 and GCC 11.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 05 Nov 2022 22:37:00 +0100

pycuda (2022.1~dfsg-4) unstable; urgency=medium

  * autopkgtest: Fix CUDA Code Samples compilation on !amd64.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Oct 2022 00:02:22 +0200

pycuda (2022.1~dfsg-3) unstable; urgency=medium

  * Add superficial autopkgtest for nvidia-openjdk-8-jre: java -version.
  * Use a tag of the CUDA Code Samples that matches the toolkit version.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 17 Oct 2022 03:26:20 +0200

pycuda (2022.1~dfsg-2) unstable; urgency=medium

  * Switch to B-D: nvidia-cuda-toolkit-gcc for a deterministic g++ dependency.
  * Add superficial autopkgtest for cmake find_package(CUDAToolkit).
  * autopkgtest: Ignore failure to compile the <coroutine> header.
  * Add superficial autopkgtests downloading and compiling the CUDA Code
    Samples.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 16 Oct 2022 14:37:22 +0200
