=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
  libboost-python-dev,
  libboost-thread-dev,
  mesa-common-dev,
- nvidia-cuda-toolkit,
+ nvidia-cuda-toolkit-gcc,
  pybind11-dev,
  python3-all-dev,
  python3-numpy,
@@ -22,11 +22,10 @@
 Build-Depends-Indep:
  dh-sequence-sphinxdoc <!nodoc>,
  python-mako-doc <!nodoc>,
- python-numpy-doc <!nodoc>,
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
@@ -85,7 +84,6 @@
 Recommends:
  nvidia-cuda-doc,
  python-mako-doc,
- python-numpy-doc,
  python3-doc,
 Suggests:
  python3-pycuda,
