=== debian/changelog ===
pycuda (2024.1~dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:18:08 +1100

pycuda (2024.1~dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libboost-python1.83.0-py312

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 19:48:28 +0000

pycuda (2024.1~dfsg-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1060788)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 15 Jan 2024 11:57:27 +0100

pycuda (2023.1~dfsg-1) unstable; urgency=medium

  * New upstream release.  (Closes: #1055702)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 13 Nov 2023 10:15:06 +0100
