=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Tomasz Rybak <serpent@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
