=== debian/rules ===
--- 
+++ 
@@ -42,5 +42,8 @@
 	$(RM) Makefile siteconf.py
 	$(RM) -r *.egg-info/
 
+execute_after_dh_installexamples-indep:
+	hardlink -v -t debian/python-pycuda-doc/usr/share/doc/python-pycuda-doc
+
 # Do not run test automatically - they require CUDA-capable hardware
 override_dh_auto_test:
