## pycuda 2024.1.2~dfsg

=== debian/changelog ===
pycuda (2024.1.2~dfsg-4) unstable; urgency=medium

  * Drop python3-numpy version constraint.  (Closes: #1095259)
  * Rebuild against Numpy 2.  (Closes: #1095213)

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2025 11:18:41 +0100

pycuda (2024.1.2~dfsg-3) unstable; urgency=medium

  * Fix building with sphinx 8.  (Closes: #1090119)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 03 Jan 2025 23:31:55 +0100

pycuda (2024.1.2~dfsg-2) unstable; urgency=medium

  * Cherry-pick upstream patch to fix FTBFS with Python 3.13.
    (Closes: #1087926)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 27 Nov 2024 02:10:46 +0100

pycuda (2024.1.2~dfsg-1) unstable; urgency=medium

  * New upstream release.
    - Switch from python3-appdirs to python3-platformdirs.  (Closes: #1067984)
  * Update Standards-Version to 4.7.0; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 02 Oct 2024 09:03:43 +0200
