=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: pycuda
 Section: contrib/python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Tomasz Rybak <serpent@debian.org>,
  Andreas Beckmann <anbe@debian.org>,
@@ -26,7 +25,7 @@
  python3-doc <!nodoc>,
  python3-sphinx (>= 1.0.7+dfsg) <!nodoc>,
  python3-sphinx-copybutton <!nodoc>,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: http://mathema.tician.de/software/pycuda
 Vcs-Browser: https://salsa.debian.org/nvidia-team/python-pycuda
@@ -37,8 +36,7 @@
 Multi-Arch: no
 Depends:
  nvidia-cuda-toolkit,
- python3-appdirs (>= 1.4.0),
- python3-decorator (>= 3.2.0),
+ python3-platformdirs (>= 2.2.0),
  python3-numpy,
  python3-pytools,
  ${misc:Depends},
