## pycuda 2025.1~dfsg

=== debian/changelog ===
pycuda (2025.1~dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update Standards-Version to 4.7.1; no changes necessary.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 Feb 2025 10:34:40 +0100
